%global pkg_name haddock

%global common_summary Haskell documentation tool

%global common_description  A documentation-generation tool for Haskell libraries.

%global ghc_pkg_deps ghc-ghc-paths-devel, ghc-ghc-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        2.7.2
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          Development/Tools
License:        BSD
URL:            http://www.haskell.org/haddock/
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
BuildRequires:  alex, happy 

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install

# version the binary so not to conflict with ghc
mv $RPM_BUILD_ROOT%{_bindir}/%{name}{,-%{version}}


%{?ghc_binlib_package}


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}


%changelog
* Thu Jan  6 2011 Jens Petersen <petersen@redhat.com> - 2.7.2-3
- update to cabal2spec-0.22.4

* Wed Nov 10 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 2.7.2-2
- Include LICENSE and README. 

* Fri Nov 5 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 2.7.2-1
- Modified dependencies. Added alex and happy.
- Changing binary executable name to haddock-version. ghc already ships with haddock binary.

* Fri Nov  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.7.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
